## mathcomp-analysis 0.6.4

=== classical/Makefile ===
# -*- Makefile -*-

# setting variables
COQPROJECT?=Make

# Main Makefile
include ../Makefile.common

## mathcomp-analysis 0.3.13

=== debian/changelog ===
mathcomp-analysis (0.3.13-1) unstable; urgency=medium

  * Initial release. (Closes: #1005224)

 -- Julien Puydt <jpuydt@debian.org>  Wed, 09 Feb 2022 14:02:31 +0100

=== debian/control ===
Source: mathcomp-analysis
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-ocaml,
               libcoq-elpi-ocaml-dev,
               libcoq-hierarchy-builder,
               libcoq-mathcomp,
               libcoq-mathcomp-bigenough,
               libcoq-mathcomp-finmap,
               ocaml-dune
Vcs-Browser: https://salsa.debian.org/ocaml-team/mathcomp-analysis
Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-analysis.git
Homepage: https://github.com/math-comp/analysis

Package: libcoq-mathcomp-analysis
Architecture: any
Depends: coq, libcoq-mathcomp-ssreflect, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: analysis extension for Mathematical Components
 This package provides an extension for classical analysis
 for the Mathematical Components library.
 .
 The Mathematical Components library is a coherent repository of
 general-purpose formalized mathematical theories for the
 Coq proof assistant.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

## mathcomp-analysis 0.5.0

=== debian/changelog ===
mathcomp-analysis (0.5.0-5) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Jun 2022 13:36:38 +0200

mathcomp-analysis (0.5.0-4) unstable; urgency=medium

  * Re-upload because of ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 24 May 2022 11:38:49 +0200

mathcomp-analysis (0.5.0-3) unstable; urgency=medium

  * Rework b-deps (Closes: #1009400).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Apr 2022 15:07:43 +0200

mathcomp-analysis (0.5.0-2) unstable; urgency=medium

  * Trigger rebuild with new coq.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 25 Mar 2022 07:29:22 +0100

mathcomp-analysis (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Mar 2022 22:53:36 +0100

mathcomp-analysis (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 08 Mar 2022 22:44:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
                dh-ocaml,
+               libcoq-elpi,
                libcoq-elpi-ocaml-dev,
                libcoq-hierarchy-builder,
                libcoq-mathcomp,
@@ -20,7 +21,16 @@
 
 Package: libcoq-mathcomp-analysis
 Architecture: any
-Depends: coq, libcoq-mathcomp-ssreflect, ${misc:Depends}
+Depends: coq,
+         libcoq-hierarchy-builder,
+         libcoq-mathcomp-algebra,
+         libcoq-mathcomp-bigenough,
+         libcoq-mathcomp-field,
+         libcoq-mathcomp-fingroup,
+         libcoq-mathcomp-finmap,
+         libcoq-mathcomp-solvable,
+         libcoq-mathcomp-ssreflect,
+         ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: analysis extension for Mathematical Components
  This package provides an extension for classical analysis

## mathcomp-analysis 0.5.1

=== debian/changelog ===
mathcomp-analysis (0.5.1-3) unstable; urgency=medium

  * Add an autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 09:35:38 +0200

mathcomp-analysis (0.5.1-2) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:24:00 +0200

mathcomp-analysis (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 07 Jun 2022 11:18:52 +0200

## mathcomp-analysis 0.5.2

=== debian/changelog ===
mathcomp-analysis (0.5.2-1build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jul 2022 07:04:34 +0200

mathcomp-analysis (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 10 Jul 2022 16:35:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,15 @@
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
-               dh-ocaml,
+               dh-coq, dh-ocaml,
                libcoq-elpi,
                libcoq-elpi-ocaml-dev,
                libcoq-hierarchy-builder,
-               libcoq-mathcomp,
+	       libcoq-mathcomp-algebra,
+	       libcoq-mathcomp-field,
+	       libcoq-mathcomp-fingroup,
+	       libcoq-mathcomp-solvable,
+	       libcoq-mathcomp-ssreflect,
                libcoq-mathcomp-bigenough,
                libcoq-mathcomp-finmap,
                ocaml-dune
@@ -21,17 +25,8 @@
 
 Package: libcoq-mathcomp-analysis
 Architecture: any
-Depends: coq,
-         libcoq-hierarchy-builder,
-         libcoq-mathcomp-algebra,
-         libcoq-mathcomp-bigenough,
-         libcoq-mathcomp-field,
-         libcoq-mathcomp-fingroup,
-         libcoq-mathcomp-finmap,
-         libcoq-mathcomp-solvable,
-         libcoq-mathcomp-ssreflect,
-         ${misc:Depends}
-Provides: ${ocaml:Provides}
+Depends: ${coq:Depends},${misc:Depends}
+Provides: ${coq:Provides}
 Description: analysis extension for Mathematical Components
  This package provides an extension for classical analysis
  for the Mathematical Components library.

## mathcomp-analysis 0.5.3

=== debian/changelog ===
mathcomp-analysis (0.5.3-1build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Aug 2022 12:21:11 +0200

mathcomp-analysis (0.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Aug 2022 18:13:31 +0200

mathcomp-analysis (0.5.2-2) unstable; urgency=medium

  * Add patch to support more recent elpi versions (Closes: #1016748).
  * Upload will trigger rebuild (Closes: #1016259).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Aug 2022 23:25:50 +0200

## mathcomp-analysis 0.5.4

=== debian/changelog ===
mathcomp-analysis (0.5.4-2) unstable; urgency=medium

  * Rebuild to cope with new elpi.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 26 Oct 2022 08:59:02 +0200

mathcomp-analysis (0.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 08 Sep 2022 16:04:38 +0200

mathcomp-analysis (0.5.3-2) unstable; urgency=medium

  * Adapt to coq-elpi packaging.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 22:55:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                debhelper-compat (= 13),
                dh-coq, dh-ocaml,
                libcoq-elpi,
-               libcoq-elpi-ocaml-dev,
                libcoq-hierarchy-builder,
 	       libcoq-mathcomp-algebra,
 	       libcoq-mathcomp-field,

## mathcomp-analysis 0.6.0

=== debian/changelog ===
mathcomp-analysis (0.6.0-2) unstable; urgency=medium

  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 27 Jan 2023 07:07:40 +0100

mathcomp-analysis (0.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Dec 2022 16:07:05 +0100

mathcomp-analysis (0.5.4-3) unstable; urgency=medium

  * Fix elpi interface mismatch (Closes: #1023762)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 10 Nov 2022 16:23:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/coq/coqvars.mk

%:
	dh $@ --with coq

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp.analysis topology
Depends: @, coq

## mathcomp-analysis 0.6.2

=== debian/changelog ===
mathcomp-analysis (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 15 Jun 2023 07:23:26 +0200

## mathcomp-analysis 0.6.3

=== debian/changelog ===
mathcomp-analysis (0.6.3-2build8) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:34:31 +0200

mathcomp-analysis (0.6.3-2build7) mantic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2023 10:35:47 +0200

mathcomp-analysis (0.6.3-2build6) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2023 05:36:58 +0200

mathcomp-analysis (0.6.3-2build5) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 11:45:28 +0200

mathcomp-analysis (0.6.3-2build4) mantic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 12:32:43 +0200

mathcomp-analysis (0.6.3-2build3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:15:31 +0200

mathcomp-analysis (0.6.3-2build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:18:03 +0200

mathcomp-analysis (0.6.3-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jul 2023 00:52:23 +0200

mathcomp-analysis (0.6.3-2) unstable; urgency=medium

  * Fix abi issue.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 14:42:20 +0200

mathcomp-analysis (0.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 21 Jun 2023 12:44:56 +0200

## mathcomp-analysis 0.6.4

=== debian/changelog ===
mathcomp-analysis (0.6.4-3build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 18:02:11 +0200

mathcomp-analysis (0.6.4-3) unstable; urgency=medium

  * Add missing(?!) Replaces (Closes: #1050027).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Aug 2023 11:57:00 +0200

mathcomp-analysis (0.6.4-2) unstable; urgency=medium

  * Add missing Breaks (Closes: #1050027).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Aug 2023 17:43:17 +0200

mathcomp-analysis (0.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Split the package in two following upstream decision.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 08 Aug 2023 10:17:45 +0200

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,24 @@
 Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-analysis.git
 Homepage: https://github.com/math-comp/analysis
 
+Package: libcoq-mathcomp-classical
+Architecture: any
+Depends: ${coq:Depends},${misc:Depends}
+Provides: ${coq:Provides}
+Breaks: libcoq-mathcomp-analysis (<< 0.6.4)
+Replaces: libcoq-mathcomp-analysis (<< 0.6.4)
+Description: classical logic extension for Mathematical Components
+ This package provides an extension for work with classical logic
+ within the Coq proof-assistant using the Mathematical Components
+ library.
+ .
+ The Mathematical Components library is a coherent repository of
+ general-purpose formalized mathematical theories for the
+ Coq proof assistant.
+
 Package: libcoq-mathcomp-analysis
 Architecture: any
-Depends: ${coq:Depends},${misc:Depends}
+Depends: ${coq:Depends},${misc:Depends}, libcoq-mathcomp-classical (= ${binary:Version})
 Provides: ${coq:Provides}
 Description: analysis extension for Mathematical Components
  This package provides an extension for classical analysis

## mathcomp-analysis 1.0.0

=== debian/changelog ===
mathcomp-analysis (1.0.0-1build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:19:35 +0200

mathcomp-analysis (1.0.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:04:37 +0000

mathcomp-analysis (1.0.0-1build2) noble; urgency=medium

  * No-change rebuild for new libcoq-elqi ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 15:59:31 +0000

mathcomp-analysis (1.0.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:27:51 +0100

mathcomp-analysis (1.0.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.

  [ Gianfranco Costamagna ]
  * Team upload
  * New upstream version 1.0.0 (Closes: #1060988, LP: #2051458)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jan 2024 09:28:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mathcomp-analysis
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

## mathcomp-analysis 1.1.0

=== debian/changelog ===
mathcomp-analysis (1.1.0-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2024 23:43:49 +0200

mathcomp-analysis (1.1.0-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 May 2024 12:35:42 +0200

mathcomp-analysis (1.1.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2024 20:39:33 +0200

mathcomp-analysis (1.1.0-2) unstable; urgency=medium

  * Fix target distribution.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 16:05:03 +0200

mathcomp-analysis (1.1.0-1) binary; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 01 Apr 2024 10:25:46 +0200

mathcomp-analysis (1.0.0-2) binary; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 11:49:15 +0100

## mathcomp-analysis 1.2.0

=== debian/changelog ===
mathcomp-analysis (1.2.0-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:42:56 +0200

mathcomp-analysis (1.2.0-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:55:31 +0200

mathcomp-analysis (1.2.0-2build1) oracular; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 09:41:54 -0400

mathcomp-analysis (1.2.0-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 14:32:02 +0200

mathcomp-analysis (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Jun 2024 06:57:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mathcomp-analysis
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## mathcomp-analysis 1.7.0

=== debian/changelog ===
mathcomp-analysis (1.7.0-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 13:05:13 -0500

mathcomp-analysis (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 24 Nov 2024 13:45:05 +0100

mathcomp-analysis (1.6.0-2) unstable; urgency=medium

  * Fix autopkg test.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 23 Nov 2024 16:35:31 +0100

mathcomp-analysis (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:59:08 +0100

## mathcomp-analysis 1.8.0

=== debian/changelog ===
mathcomp-analysis (1.8.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:27:08 +0100

mathcomp-analysis (1.8.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 06:39:55 +0100

mathcomp-analysis (1.8.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:05:53 +0100

mathcomp-analysis (1.8.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:19:09 +0100

mathcomp-analysis (1.8.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:42:57 +0100

mathcomp-analysis (1.8.0-1) unstable; urgency=medium

  * Package new upstream.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Dec 2024 10:07:20 +0100

## mathcomp-analysis 1.9.0

=== debian/changelog ===
mathcomp-analysis (1.9.0-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:21:56 +0200

mathcomp-analysis (1.9.0-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:37:11 +0200

mathcomp-analysis (1.9.0-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:07:21 +0200

mathcomp-analysis (1.9.0-1build1) questing; urgency=medium

  * Rebuild against coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 13:23:29 -0400

mathcomp-analysis (1.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 20 Feb 2025 18:05:28 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,18 @@
 Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-analysis.git
 Homepage: https://github.com/math-comp/analysis
 
+Package: libcoq-mathcomp-analysis
+Architecture: any
+Depends: ${coq:Depends},${misc:Depends}, libcoq-mathcomp-classical (= ${binary:Version})
+Provides: ${coq:Provides}
+Description: analysis extension for Mathematical Components
+ This package provides an extension for classical analysis
+ for the Mathematical Components library.
+ .
+ The Mathematical Components library is a coherent repository of
+ general-purpose formalized mathematical theories for the
+ Coq proof assistant.
+
 Package: libcoq-mathcomp-classical
 Architecture: any
 Depends: ${coq:Depends},${misc:Depends}
@@ -36,15 +48,3 @@
  The Mathematical Components library is a coherent repository of
  general-purpose formalized mathematical theories for the
  Coq proof assistant.
-
-Package: libcoq-mathcomp-analysis
-Architecture: any
-Depends: ${coq:Depends},${misc:Depends}, libcoq-mathcomp-classical (= ${binary:Version})
-Provides: ${coq:Provides}
-Description: analysis extension for Mathematical Components
- This package provides an extension for classical analysis
- for the Mathematical Components library.
- .
- The Mathematical Components library is a coherent repository of
- general-purpose formalized mathematical theories for the
- Coq proof assistant.

=== debian/watch ===
version=4
https://github.com/math-comp/analysis/tags .*/v?([\d\.]+).tar.gz

## mathcomp-analysis 1.14.0

=== Makefile ===
# -*- Makefile -*-

# --------------------------------------------------------------------
include Makefile.common

=== debian/changelog ===
mathcomp-analysis (1.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.
  * Strenghten depends on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 20:49:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 9),
                debhelper-compat (= 13),
                dh-coq, dh-ocaml,
                libcoq-elpi,

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp.analysis topology
Restrictions: allow-stderr
Depends: @, coq
